> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-55d9d317.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Private Endpoint 목록 조회

> **이 엔드포인트는 베타입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br /><br /> 지정된 서비스의 Reverse Private Endpoint 목록을 반환합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints:
    get:
      tags:
        - ClickPipes
      summary: Reverse Private Endpoint 목록 조회
      description: >-
        **이 엔드포인트는 베타입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br
        /><br /> 지정된 서비스의 Reverse Private Endpoint 목록을 반환합니다.
      parameters:
        - description: 서비스를 소유한 조직의 ID.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: Reverse Private Endpoint를 소유한 서비스의 ID.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/ReversePrivateEndpoint'
                    type: array
                  status:
                    description: HTTP 상태 코드.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 사유로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ReversePrivateEndpoint:
      properties:
        description:
          description: Reverse private endpoint 설명입니다. 최대 길이는 255자입니다.
          example: My reverse private endpoint
          type: string
        dnsNames:
          description: Reverse private endpoint의 내부 DNS 이름입니다.
          items:
            type: string
          type: array
        endpointId:
          description: Reverse private endpoint의 엔드포인트 ID입니다.
          example: vpce-12345678901234567
          type: string
        id:
          description: Reverse private endpoint ID입니다.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        mskAuthentication:
          description: MSK cluster authentication 유형입니다. MSK_MULTI_VPC 유형에 필요합니다.
          enum:
            - SASL_IAM
            - SASL_SCRAM
          example: SASL_IAM
          nullable: true
          type: string
        mskClusterArn:
          description: MSK cluster ARN입니다. MSK_MULTI_VPC 유형에 필요합니다.
          example: arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster
          nullable: true
          type: string
        privateDnsNames:
          description: Reverse private endpoint의 Private DNS 이름입니다.
          items:
            type: string
          type: array
        serviceId:
          description: Reverse private endpoint에 연결된 ClickHouse 서비스 ID입니다.
          example: 12345678-1234-1234-1234-123456789012
          format: uuid
          type: string
        status:
          description: Reverse private endpoint 상태입니다.
          enum:
            - Unknown
            - Provisioning
            - Deleting
            - Ready
            - Failed
            - PendingAcceptance
            - Rejected
            - Expired
          example: Ready
          type: string
        type:
          description: Reverse private endpoint 유형입니다.
          enum:
            - VPC_ENDPOINT_SERVICE
            - VPC_RESOURCE
            - MSK_MULTI_VPC
          example: VPC_ENDPOINT_SERVICE
          type: string
        vpcEndpointServiceName:
          description: VPC 엔드포인트 서비스 이름입니다.
          example: com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567
          nullable: true
          type: string
        vpcResourceConfigurationId:
          description: VPC 리소스 구성 ID입니다. VPC_RESOURCE 유형에 필요합니다.
          example: rcfg-12345678901234567
          nullable: true
          type: string
        vpcResourceShareArn:
          description: VPC 리소스 공유 ARN입니다. VPC_RESOURCE 유형에 필요합니다.
          example: >-
            arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567
          nullable: true
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````